# Zork - Unofficial TypeScript Version

<div align="center">
	<img alt="Made by lucasluizss" src=".github/assets/images/zork-logo.jpeg" width="200" />
</div>
<br>
<div align="center">
	<img alt="Made by lucasluizss" src="https://img.shields.io/badge/made%20by-lucasluizss-%2304D361" />
	<img alt="x-Ts" src="https://badgen.net/badge/icon/typescript?icon=typescript&label">
	<img alt="License" src="https://img.shields.io/github/license/lucasluizss/zork-ts" />
	<img alt="github downloads" src="https://img.shields.io/github/downloads/lucasluizss/zork-ts/total.svg">
	<a href="https://open.vscode.dev/lucasluizss/zork-ts">
	    <img alt="open with vscode" src="https://open.vscode.dev/badges/open-in-vscode.svg">
	</a>
	<a href="https://GitHub.com/lucasluizss/zork-ts/stargazers/">
	    <img alt="github stars" src="https://img.shields.io/github/stars/lucasluizss/zork-ts.svg?style=social&label=Star&maxAge=2592000">
	</a>
</div>
<hr>

Zork was directly inspired by the first text adventure game, Colossal Cave Adventure, written in 1975. Zork distinguished itself in its genre as an especially rich game, in terms of both the quality of the storytelling and the sophistication of its text parser, which was not limited to simple verb-noun commands ("hit troll"), but recognized some prepositions and conjunctions ("hit the troll with the Elvish sword"). \
[Source](https://en.wikipedia.org/wiki/Zork)

## Setup

### Requirements

- [nodejs](https://nodejs.org/en/download/)

### Installing dependencies

First of all you need to install the dependencies running the command below in your terminal:

```shell
cd zork-ts
npm install
```

## Running

### Default execution

```shell
npm start
```

### Executing with a selected language

#### Supported Languages

|   Flag   |  Language  | Code |
| :------: | :--------: | :--: |
|   :us:   |  English   |  en  |
| :brazil: | Portuguese |  pt  |

`e.g.`:

```shell
npm start -lang pt
```

or

```shell
npm start --lang=pt
```

## Author

<p align="center">
	Made with ♥ by <a href="https://www.linkedin.com/in/lucasluizss/" target="_blank">Lucas Silva</a>
</p>
